/**
 * Clase Coche, subclase de Vehiculo
 * @author J.J. Noguera 
 * @version 15/04/2018
 */
public class Coche extends Vehiculo
{
    private int numPuertas;

    /**
     * Constructor for objects of class Coche
     */
    public Coche(String marca, String matricula, int numPuertas)
    {
        super(marca,matricula);
        this.numPuertas=numPuertas;
    }
    /**
     * Devuelve el número de puertas
     * @return El número de puertas del coche
     */
    public int getNumPuertas()
    {
        return numPuertas;
    }
    /**
     * Muestra la información del coche
     */
    public void mostrarInfo()
    {
        System.out.print(" Marca: "+getMarca()+". Matrícula: "+getMatricula()+".");
        System.out.print(" Número de puertas: "+numPuertas+".");
    }
}
