import java.util.ArrayList;
/**
 * Clase Taller
 * @author J.J. Noguera
 * @version 15/04/2018
 */
public class Taller
{
    private ArrayList<Vehiculo> listaVehiculos;

    /**
     * Constructor for objects of class Taller
     */
    public Taller()
    {
        listaVehiculos=new ArrayList<Vehiculo>();
    }
    
    /**
     * Añadir un vehículo a la lista
     */
    public void nuevoVehiculo(Vehiculo vehiculo)
    {
        listaVehiculos.add(vehiculo);
    }
    
    /**
     * Muestra la información de los vehiculos
     */
    public void mostrarInfoVehiculos()
    {
        System.out.println("Los vehiculos de taller son:");
        for(Vehiculo vehic_tmp:listaVehiculos){
            if(vehic_tmp instanceof Coche){
                System.out.print("-COCHE, con las características:");
            }else if(vehic_tmp instanceof Moto){
                System.out.print("-MOTO, con las características:");
            }else{
                System.out.print("-VEHÍCULO, con las características:");
            }
            vehic_tmp.mostrarInfo();
            System.out.println();
        }
    }
}
