/**
 * Clase Vehiculo
 * @author J.J. Noguera 
 * @version 15/04/2018
 */
public abstract class Vehiculo
{
    private String marca;
    private String matricula;

    /**
     * Constructor for objects of class Vehiculo
     */
    public Vehiculo(String marca, String matricula)
    {
        this.marca=marca;
        this.matricula=matricula;
    }
    /**
     * Devuelve matrícula
     * @return La matrícula del vehículo
     */
    public String getMatricula()
    {
        return matricula;
    } 
    
    /**
     * Devuelve marca
     * @return la marca del vehículo
     */
    public String getMarca()
    {
        return marca;
    } 
    
    /**
     * Muestra la información del vehículo
     */
     abstract public void mostrarInfo();
}
